<?xml version="1.0" encoding="UTF-8"?>
<components xmlns="http://jboss.com/products/seam/components"
            xmlns:core="http://jboss.com/products/seam/core"
            xmlns:persistence="http://jboss.com/products/seam/persistence"
            xmlns:security="http://jboss.com/products/seam/security"
            xmlns:transaction="http://jboss.com/products/seam/transaction"
            xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         	xmlns:document="http://jboss.com/products/seam/document"
            xmlns:web="http://jboss.com/products/seam/web"
            xsi:schemaLocation=
                "http://jboss.com/products/seam/persistence http://jboss.com/products/seam/persistence-2.1.xsd
                 http://jboss.com/products/seam/core http://jboss.com/products/seam/core-2.1.xsd
                 http://jboss.com/products/seam/transaction http://jboss.com/products/seam/transaction-2.1.xsd
                 http://jboss.com/products/seam/security http://jboss.com/products/seam/security-2.1.xsd
                 http://jboss.com/products/seam/components http://jboss.com/products/seam/components-2.1.xsd
                 http://jboss.com/products/seam/document http://jboss.com/products/seam/document-2.1.xsd
                 http://jboss.com/products/seam/web http://jboss.com/products/seam/web-2.1.xsd">

    <!-- <core:init jndi-pattern="@jndiPattern@" debug="true"/> -->

    <core:manager conversation-timeout="120000" 
                  concurrent-request-timeout="500"
                  conversation-id-parameter="cid"/>

    <!-- <transaction:ejb-transaction/> -->

    <security:identity authenticate-method="#{authenticator.authenticate}"/>

    <document:document-store error-page="/home.xhtml" auto-create="true" name="documentStore" />

    <factory name="session"
           scope="STATELESS"
           auto-create="true"
           value="#{xsession}"/>

    <persistence:hibernate-session-factory name="hibernateSessionFactory"/>

    <persistence:managed-hibernate-session name="xsession"
                                    session-factory="#{hibernateSessionFactory}"
                                    auto-create="true"/>


    <transaction:hibernate-transaction session="#{xsession}"/>

    <!--
    <web:multipart-filter  create-temp-files="true"
	                     max-request-size="10485760"
	                     url-pattern="*.seam"/>
                         -->

    <web:multipart-filter  create-temp-files="true"
	                     url-pattern="*.seam"/>
</components>
